
{{ "Downlink Bonds" | comment }}

{% if devices[inventory_hostname].interfaces.mh is defined %}
{% set mh = devices[inventory_hostname].interfaces.mh %}
{% for interface in mh %}
auto bond{{ mh[interface].es }}
iface bond{{ mh[interface].es }}
    bond-slaves {{ interface }}
    es-sys-mac 44:38:39:ff:{{ mh[interface].es[:2] }}:{{ mh[interface].es[-2:] }}
    mtu 9000

auto {{ interface }}
iface {{ interface }}

{% endfor %}
{% endif %}

{% if devices[inventory_hostname].interfaces.mlag is defined %}
{% set mlag = devices[inventory_hostname].interfaces.mlag %}
{% for interface in mlag %}
auto bond{{ mlag[interface].id }}
iface bond{{ mlag[interface].id }}
    bond-slaves {{ interface }}
    clag-id {{ mlag[interface].id }}
    bond-lacp-bypass-allow yes
    mtu 9000

auto {{ interface }}
iface {{ interface }}

{% endfor %}
{% endif %}
